POST api/Receipt/InsertOrUpdateQuickPayment
Insert/Update receipt quick payment
Request Information
URI Parameters
None.
Body Parameters
ReceiptForQuickPaymentInsertModel properties.
ReceiptForQuickPaymentInsertModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Description | string |
None. |
|
| InvoiceNumber | string |
None. |
|
| LocationId | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| TransactionDate | date |
None. |
|
| DueDate | date |
None. |
|
| CreatedDate | date |
None. |
|
| Number | string |
None. |
|
| PaymentReceiptDate | date |
None. |
|
| InsuredCommercialName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| Fees | Collection of ReceiptInsertModelFee |
None. |
|
| PaymentMethodsAndPaidAmounts | Collection of PaymentMethodAndPaidAmount |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| PolicyNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "6845bbc3-6ed6-4422-a433-311ee9ccd2a4",
"description": "sample string 2",
"invoiceNumber": "sample string 3",
"locationId": "sample string 4",
"locationBusinessName": "sample string 5",
"transactionDate": "2026-11-19T17:10:15.0849405-06:00",
"dueDate": "2026-11-19T17:10:15.0849405-06:00",
"createdDate": "2026-11-19T17:10:15.0849405-06:00",
"number": "sample string 9",
"paymentReceiptDate": "2026-11-19T17:10:15.0849405-06:00",
"insuredCommercialName": "sample string 11",
"insuredDatabaseId": "ebd64cb0-d448-42a1-b9e6-8bd617679525",
"insuredEmail": "sample string 12",
"insuredFirstName": "sample string 13",
"insuredLastName": "sample string 14",
"fees": [
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
},
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
}
],
"paymentMethodsAndPaidAmounts": [
{
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
},
{
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
}
],
"policyId": "a7bb9210-69c3-488b-a7a9-3a03e10eacec",
"policyNumber": "sample string 16"
}
application/xml, text/xml
Sample:
<ReceiptForQuickPaymentInsertModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<CreatedDate>2026-11-19T17:10:15.0849405-06:00</CreatedDate>
<Description>sample string 2</Description>
<DueDate>2026-11-19T17:10:15.0849405-06:00</DueDate>
<Fees>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
</Fees>
<Id>6845bbc3-6ed6-4422-a433-311ee9ccd2a4</Id>
<InsuredCommercialName>sample string 11</InsuredCommercialName>
<InsuredDatabaseId>ebd64cb0-d448-42a1-b9e6-8bd617679525</InsuredDatabaseId>
<InsuredEmail>sample string 12</InsuredEmail>
<InsuredFirstName>sample string 13</InsuredFirstName>
<InsuredLastName>sample string 14</InsuredLastName>
<InvoiceNumber>sample string 3</InvoiceNumber>
<LocationBusinessName>sample string 5</LocationBusinessName>
<LocationId>sample string 4</LocationId>
<Number>sample string 9</Number>
<PaymentMethodsAndPaidAmounts>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
</PaymentMethodsAndPaidAmounts>
<PaymentReceiptDate>2026-11-19T17:10:15.0849405-06:00</PaymentReceiptDate>
<PolicyId>a7bb9210-69c3-488b-a7a9-3a03e10eacec</PolicyId>
<PolicyNumber>sample string 16</PolicyNumber>
<TransactionDate>2026-11-19T17:10:15.0849405-06:00</TransactionDate>
</ReceiptForQuickPaymentInsertModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultOfReceiptForQuickPaymentInsertModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Data | ReceiptForQuickPaymentInsertModel |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"data": {
"id": "03c5d4b0-4e97-4169-afb4-6256723c3863",
"description": "sample string 2",
"invoiceNumber": "sample string 3",
"locationId": "sample string 4",
"locationBusinessName": "sample string 5",
"transactionDate": "2026-11-19T17:10:15.1005698-06:00",
"dueDate": "2026-11-19T17:10:15.1005698-06:00",
"createdDate": "2026-11-19T17:10:15.1005698-06:00",
"number": "sample string 9",
"paymentReceiptDate": "2026-11-19T17:10:15.1005698-06:00",
"insuredCommercialName": "sample string 11",
"insuredDatabaseId": "3e3931cd-db16-4bf6-b4b4-b4388c77090c",
"insuredEmail": "sample string 12",
"insuredFirstName": "sample string 13",
"insuredLastName": "sample string 14",
"fees": [
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
},
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
}
],
"paymentMethodsAndPaidAmounts": [
{
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
},
{
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
}
],
"policyId": "1d9c7b02-c94d-46c9-93ab-a1a528b38e46",
"policyNumber": "sample string 16"
},
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResultOfReceiptForQuickPaymentInsertModelodPQ2rGR xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<Data>
<CreatedDate>2026-11-19T17:10:15.1005698-06:00</CreatedDate>
<Description>sample string 2</Description>
<DueDate>2026-11-19T17:10:15.1005698-06:00</DueDate>
<Fees>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
</Fees>
<Id>03c5d4b0-4e97-4169-afb4-6256723c3863</Id>
<InsuredCommercialName>sample string 11</InsuredCommercialName>
<InsuredDatabaseId>3e3931cd-db16-4bf6-b4b4-b4388c77090c</InsuredDatabaseId>
<InsuredEmail>sample string 12</InsuredEmail>
<InsuredFirstName>sample string 13</InsuredFirstName>
<InsuredLastName>sample string 14</InsuredLastName>
<InvoiceNumber>sample string 3</InvoiceNumber>
<LocationBusinessName>sample string 5</LocationBusinessName>
<LocationId>sample string 4</LocationId>
<Number>sample string 9</Number>
<PaymentMethodsAndPaidAmounts>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
</PaymentMethodsAndPaidAmounts>
<PaymentReceiptDate>2026-11-19T17:10:15.1005698-06:00</PaymentReceiptDate>
<PolicyId>1d9c7b02-c94d-46c9-93ab-a1a528b38e46</PolicyId>
<PolicyNumber>sample string 16</PolicyNumber>
<TransactionDate>2026-11-19T17:10:15.1005698-06:00</TransactionDate>
</Data>
<Message>sample string 1</Message>
<Status>Error</Status>
</NowCertsApiResultOfReceiptForQuickPaymentInsertModelodPQ2rGR>